> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token transfer by ID

> Returns a token transfer that matches the specified ID.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/transfers/{id}
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/transfers/{id}:
    get:
      tags:
        - Token transfers
      summary: Get token transfer by ID
      description: Returns a token transfer that matches the specified ID.
      operationId: getTransfer
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Token transfer that matches the specified ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferDto'
components:
  schemas:
    TransferDto:
      type: object
      properties:
        id:
          type: string
          example: 9359/AX/2352
        time:
          type: string
          example: '2024-05-08T13:05:57.779Z'
        status:
          enum:
            - SUCCEEDED
            - PENDING
            - ERROR_ON_DESTINATION
            - TIMEOUT
          type: string
          example: SUCCEEDED
          description: Current status of the transfer
        type:
          type: string
          example: cctp
          description: Type of transfer (e.g., ibc, cctp, etc.)
        sender:
          description: Information about the sender of the transfer
          example:
            address: AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq
            network: solana
            label: Scammer
            malicious: true
            icon_urls:
              - https://example.com/solana.png
            token:
              amount: 27.18
              symbol: USDC
              usd: 27.24
              icon_url: https://example.com/usdc.png
          allOf:
            - $ref: '#/components/schemas/AccountDto'
        receiver:
          description: Information about the receiver of the transfer
          example:
            address: noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq
            network: noble-1
            icon_urls:
              - https://example.com/noble.png
            token:
              amount: 27.18
              symbol: USDC
              usd: 27.24
              icon_url: https://example.com/usdc.png
          allOf:
            - $ref: '#/components/schemas/AccountDto'
        sender_tx_hash:
          type: string
          example: 76b9922b6c8968d328e56930b4bbe26665d2ed12f2bdff45b2e9a43b09f5ab9c
        receiver_tx_hash:
          type: string
          example: e607dba4c1e138dabb1d534ba0e14645786ca892907563c388d7de7f65ba7bb3
        note:
          type: string
          description: Workspace note for this transfer
        category:
          type: string
          description: Workspace category for this transfer
      required:
        - id
        - time
        - status
        - type
        - sender
        - receiver
    AccountDto:
      type: object
      properties:
        id:
          type: string
          example: bje5mmbqxjvwjaf7oxwpyxntxdyspzZyt4vwennw5rug
        name:
          type: string
          example: Treasury wallet
        type:
          type: string
          example: eoa
          enum:
            - eoa
            - multisig
            - contract
            - custodian
            - exchange
            - bank
        network:
          type: string
          example: solana
        address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        provider:
          type: string
          example: ledger, kraken, wallet, ...
        groups:
          type: array
          example:
            - id: uuid-1
              name: Finance
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
        status:
          type: string
          example: active
          enum:
            - active
            - updating
        balances:
          type: array
          items:
            $ref: '#/components/schemas/AccountBalance'
        details:
          oneOf:
            - $ref: '#/components/schemas/WalletDetails'
            - $ref: '#/components/schemas/ContractDetails'
            - $ref: '#/components/schemas/AccountConnectionDetails'
            - $ref: '#/components/schemas/SquadsConnectionDetails'
            - $ref: '#/components/schemas/RealmsConnectionDetails'
            - $ref: '#/components/schemas/SafeConnectionDetails'
            - $ref: '#/components/schemas/PrivyConnectionDetails'
        notes:
          type: string
          example: Primary treasury wallet
        role:
          type: string
          example: Treasury
      required:
        - id
        - name
        - type
        - provider
        - groups
        - status
        - balances
    AccountBalance:
      type: object
      properties:
        asset:
          type: string
          example: USDC
        amount:
          type: string
          example: '100.50'
          description: Raw quantity reported by the provider, in asset units.
        usd:
          type: string
          nullable: true
          example: '100.50'
          description: >-
            USD equivalent of `amount`. `null` when no USD price is available.
            For fiat accounts, equals `amount`.
        updated_at:
          type: string
          example: '2024-01-01T00:00:00.000Z'
      required:
        - asset
        - amount
        - updated_at
    WalletDetails:
      type: object
      properties:
        network:
          type: string
          example: solana
        address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        funded_by:
          type: object
          properties:
            sender:
              type: string
            tx_hash:
              type: string
            tx_time:
              type: string
          required:
            - sender
            - tx_hash
            - tx_time
      required:
        - network
        - address
    ContractDetails:
      type: object
      properties:
        network:
          type: string
          example: solana
        address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        cosmos_contract:
          type: object
          properties:
            admin:
              type: string
              nullable: true
            code_id:
              type: number
            creator:
              type: string
          required:
            - admin
            - code_id
            - creator
        solana_contract:
          type: object
          properties:
            owner:
              type: string
            is_on_curve:
              type: boolean
            space:
              type: number
            executable_data:
              type: string
            upgradeable:
              type: boolean
            upgrade_authority:
              type: string
              nullable: true
            upgrade_authority_type:
              type: string
            last_deployed_slot:
              type: number
            last_deployed_at:
              type: string
            last_deployed_by:
              type: string
            last_deployed_tx:
              type: string
            verified:
              type: boolean
            repo_url:
              type: string
            security_txt_included:
              type: boolean
          required:
            - owner
            - is_on_curve
            - space
            - executable_data
            - upgradeable
            - upgrade_authority
            - upgrade_authority_type
            - verified
            - security_txt_included
    AccountConnectionDetails:
      type: object
      properties:
        connection_provider:
          type: string
          example: kraken
        connection_id:
          type: string
          example: utila-123
          description: Account-connection holding this account
        connection_object_id:
          type: string
          example: '12345678'
      required:
        - connection_provider
        - connection_object_id
    SquadsConnectionDetails:
      type: object
      properties:
        connection_provider:
          type: string
          example: kraken
        connection_id:
          type: string
          example: utila-123
          description: Account-connection holding this account
        connection_object_id:
          type: string
          example: '12345678'
        multisig:
          $ref: '#/components/schemas/AccountConnectionSquadsPublicDataDto'
      required:
        - connection_provider
        - connection_object_id
        - multisig
    RealmsConnectionDetails:
      type: object
      properties:
        connection_provider:
          type: string
          example: kraken
        connection_id:
          type: string
          example: utila-123
          description: Account-connection holding this account
        connection_object_id:
          type: string
          example: '12345678'
        realms:
          $ref: '#/components/schemas/AccountConnectionRealmsPublicDataDto'
      required:
        - connection_provider
        - connection_object_id
        - realms
    SafeConnectionDetails:
      type: object
      properties:
        connection_provider:
          type: string
          example: kraken
        connection_id:
          type: string
          example: utila-123
          description: Account-connection holding this account
        connection_object_id:
          type: string
          example: '12345678'
        safe:
          $ref: '#/components/schemas/AccountConnectionSafePublicDataDto'
      required:
        - connection_provider
        - connection_object_id
        - safe
    PrivyConnectionDetails:
      type: object
      properties:
        connection_provider:
          type: string
          example: kraken
        connection_id:
          type: string
          example: utila-123
          description: Account-connection holding this account
        connection_object_id:
          type: string
          example: '12345678'
        privy_custody:
          type: string
          example: app
          enum:
            - app
            - embedded
            - external
          description: >-
            Custody origin of the wallet: app/server-controlled, Privy-managed
            embedded, or user self-custody (external).
      required:
        - connection_provider
        - connection_object_id
        - privy_custody
    AccountConnectionSquadsPublicDataDto:
      type: object
      properties:
        multisig_address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        resolved_from_address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
          description: Original address provided by the customer (may be a vault)
        resolved_vault_index:
          type: number
          example: 0
          description: Vault index if input was a vault address
        threshold:
          type: number
          example: 2
        version:
          type: string
          example: v4
          enum:
            - v3
            - v4
        program_id:
          type: string
          example: SQDS4ep65T869zMMBKyuUq6aD6EgTu8psMjkvj52pCf
        create_key:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        config_authority:
          type: string
          nullable: true
          example: null
          description: V4 only
        time_lock:
          type: number
          example: 0
          description: V4 only — seconds
        members:
          type: array
          items:
            type: object
        pending_proposals:
          type: array
          items:
            $ref: '#/components/schemas/AccountConnectionSquadsPendingProposalDto'
        vaults:
          type: array
          items:
            type: object
      required:
        - multisig_address
        - resolved_from_address
        - threshold
        - version
        - program_id
        - create_key
        - members
        - pending_proposals
        - vaults
    AccountConnectionRealmsPublicDataDto:
      type: object
      properties:
        realm_address:
          type: string
          example: DA5G7QQbFioZ6K33wQcH8fVdgFcnaDjLD7DLQkapZg5X
        resolved_from_address:
          type: string
          example: DA5G7QQbFioZ6K33wQcH8fVdgFcnaDjLD7DLQkapZg5X
        program_id:
          type: string
          example: AEauWRrpn9Cs6GXujzdp1YhMmv2288kBt3SdEcPYEerr
        version:
          type: string
          example: v2
          enum:
            - v2
        realm_name:
          type: string
          example: Metaplex
        community_mint:
          type: string
          example: METAewgxyPbgwsseH8T16a39CQ5VyVxZi9zXiDPY18m
        council_mint:
          type: string
          nullable: true
          example: null
        authority:
          type: string
          nullable: true
          example: null
        min_community_weight_to_create_governance:
          type: string
          example: '1'
        council_members:
          type: array
          items:
            type: object
        community_members_count:
          type: number
          example: 42
        governances:
          type: array
          items:
            type: object
        treasuries:
          type: array
          items:
            $ref: '#/components/schemas/AccountConnectionRealmsTreasuryDto'
        latest_active_proposal:
          nullable: true
          description: >-
            Most recently created proposal currently in Draft, SigningOff, or
            Voting state. null when no active proposals exist.
          type: object
          allOf:
            - $ref: >-
                #/components/schemas/AccountConnectionRealmsLatestActiveProposalDto
      required:
        - realm_address
        - resolved_from_address
        - program_id
        - version
        - realm_name
        - community_mint
        - min_community_weight_to_create_governance
        - council_members
        - community_members_count
        - governances
        - treasuries
    AccountConnectionSafePublicDataDto:
      type: object
      properties:
        safe_address:
          type: string
          example: '0xfF501B324DC6d78dC9F983f140B9211c3EdB4dc7'
          description: EIP-55 checksummed Safe address
        network:
          type: string
          example: ethereum
          enum:
            - ethereum
            - arbitrum
            - base
            - optimism
            - polygon
            - bnb
        version:
          type: string
          example: 1.4.1
          description: Safe contract version (e.g. 1.3.0, 1.4.1)
        threshold:
          type: number
          example: 2
        nonce:
          type: number
          example: 42
        owners:
          type: array
          example:
            - 0xabc...
            - 0xdef...
          items:
            type: string
        pending_proposals:
          type: array
          items:
            $ref: '#/components/schemas/AccountConnectionSafePendingProposalDto'
      required:
        - safe_address
        - network
        - version
        - threshold
        - nonce
        - owners
        - pending_proposals
    AccountConnectionSquadsPendingProposalDto:
      type: object
      properties:
        address:
          type: string
          example: BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG
        transaction_index:
          type: number
          example: 42
        status:
          type: string
          example: active
          enum:
            - draft
            - active
            - executeReady
            - approved
            - executing
            - executed
            - rejected
            - cancelled
            - unknown
          description: >-
            V3: draft/active/executeReady/executed/rejected/cancelled. V4 adds:
            approved/executing.
        approved_count:
          type: number
          example: 2
        rejected_count:
          type: number
          example: 0
        timestamp:
          type: number
          nullable: true
          example: 1712345678
      required:
        - address
        - transaction_index
        - status
        - approved_count
        - rejected_count
    AccountConnectionRealmsTreasuryDto:
      type: object
      properties:
        governance:
          type: string
          example: 8cEhQQm3MW5YQiiZ7sB6YkmFHcLXPAFSp7i4e48Kt4PK
        native_treasury:
          type: string
          example: BHkk3RTd4Ue6JnqXpa9QHTXbn575ycR8hxVmYx4E254k
        lamports:
          type: string
          example: '131992814522'
        token_accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountConnectionRealmsTokenAccountDto'
      required:
        - governance
        - native_treasury
        - lamports
        - token_accounts
    AccountConnectionRealmsLatestActiveProposalDto:
      type: object
      properties:
        pubkey:
          type: string
          example: F7xP...abc
        governance:
          type: string
          example: 8cEhQQm3MW5YQiiZ7sB6YkmFHcLXPAFSp7i4e48Kt4PK
        governing_token_mint:
          type: string
          example: METAewgxyPbgwsseH8T16a39CQ5VyVxZi9zXiDPY18m
        track:
          type: string
          example: community
          enum:
            - community
            - council
        name:
          type: string
          example: Increase staking rewards to 8%
        state:
          type: string
          example: Voting
        draft_at:
          type: number
          example: 1700000000
      required:
        - pubkey
        - governance
        - governing_token_mint
        - track
        - name
        - state
        - draft_at
    AccountConnectionSafePendingProposalDto:
      type: object
      properties:
        safe_tx_hash:
          type: string
          example: 0xabcdef1234...
        nonce:
          type: number
          example: 42
        destination_address:
          type: string
          example: 0xabc...
        value:
          type: string
          example: '0.5'
          description: Native asset amount, human-readable (raw wei divided by 10^18).
        data_payload:
          type: string
          nullable: true
          example: null
        operation:
          type: number
          example: 0
          description: 0 = call, 1 = delegatecall
        confirmations_required:
          type: number
          example: 2
        confirmations:
          type: array
          items:
            $ref: '#/components/schemas/AccountConnectionSafeConfirmationDto'
        submission_date:
          type: string
          nullable: true
          example: '2026-01-01T00:00:00.000Z'
      required:
        - safe_tx_hash
        - nonce
        - destination_address
        - value
        - operation
        - confirmations_required
        - confirmations
    AccountConnectionRealmsTokenAccountDto:
      type: object
      properties:
        pubkey:
          type: string
          example: 8iD9rdetvTqb9ooxrYbMESi9nRsGReYSBpCXqaj8G3r
        owner:
          type: string
          example: BHkk3RTd4Ue6JnqXpa9QHTXbn575ycR8hxVmYx4E254k
        owner_kind:
          type: string
          example: native_treasury
          enum:
            - native_treasury
            - governance
        mint:
          type: string
          example: So11111111111111111111111111111111111111112
        balance:
          type: string
          example: '1000000'
        decimals:
          type: number
          example: 6
        ui_amount:
          type: string
          example: '1.000000'
      required:
        - pubkey
        - owner
        - owner_kind
        - mint
        - balance
        - decimals
        - ui_amount
    AccountConnectionSafeConfirmationDto:
      type: object
      properties:
        owner:
          type: string
          example: 0xabc...
        submission_date:
          type: string
          example: '2026-01-01T00:00:00.000Z'
      required:
        - owner
        - submission_date
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````